Bug 1291268 - error to load the wizard "Showing storage browser" in s390x in virt-manager 1.3.1. It works before 1.3.0.
error to load the wizard "Showing storage browser" in s390x in virt-manager 1...
Status: CLOSED INSUFFICIENT_DATA
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
s390x Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 08:18 EST by kevinzs
Modified: 2016-02-01 14:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-01 14:49:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The screenshot of the wizard (9.94 KB, image/jpeg)
2015-12-14 08:18 EST, kevinzs
no flags Details

  None (edit)
Description kevinzs 2015-12-14 08:18:03 EST
Created attachment 1105571 [details]
The screenshot of the wizard

Description of problem:
In version 1.3.1 virt-manager, using the "install from cdrom"--> "Use ISO image"
-->Browser,click browser and it shows in the console error log(in a loop):
[Mon, 14 Dec 2015 13:53:48 virt-manager 24776] DEBUG (storagebrowse:53) Showing storage browser

(virt-manager:24776): Gdk-CRITICAL **: _gdk_x11_device_xi2_add_scroll_valuator: assertion 'n_valuator < gdk_device_get_n_axes (GDK_DEVICE (device))' failed

(virt-manager:24776): Gdk-CRITICAL **: _gdk_x11_device_xi2_add_scroll_valuator: assertion 'n_valuator < gdk_device_get_n_axes (GDK_DEVICE (device))' failed

(virt-manager:24776): Gdk-CRITICAL **: _gdk_x11_device_xi2_add_scroll_valuator: assertion 'n_valuator < gdk_device_get_n_axes (GDK_DEVICE (device))' failed

Virt-manager can not display the storage information.


Version-Release number of selected component (if applicable):

1.3.1 virt-manager
How reproducible:


Steps to Reproduce:
1.using the "install from cdrom"--> "Use ISO image"
2.Click Browser
3.report the error info in the "debug" mode,and can not display the storage information.

Actual results:
Blocked and failed to show the wizard of storage wizard.


Expected results:
Display the storage and image information

Additional info:
Comment 1 kevinzs 2015-12-14 08:32:48 EST
Also , I have installed all the packages that virt-manager needs and resolve all the dependencies.All the dependencies are satisfied in the Distro Fedora 22.
Comment 2 Cole Robinson 2015-12-24 11:46:37 EST
I don't see this problem with fedora 23 and virt-manager 1.3.1. That error sounds strange enough anyways that I'm guessing it's an X or gtk problem

Is this virt-manager running on an s390 host? Are you running over ssh -X?

Note You need to log in before you can comment on or make changes to this bug.